mia-3dfield2norm
Prev | Miscellaneous programs | Next

### mia-3dfield2norm

#### Sysnopis:

`mia-3dfield2norm` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program converts a 3d vector field to an image of its voxel-wise norm.

#### Options:

-i, --in-vectorfield=(input, required); io

  input vector field. For supported file types see Plugin type: 3dvf/io

-o, --out-image=(output, required); io

  output image comprising the per voxel norm of each image. For supported file types see Plugin type: 3dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the norm image norm.v from a vector field field.v.

    mia-3dfield2norm -i field.v -o norm.v

#### Author(s):

Gert Wollny

Prev | Up | Next
Miscellaneous programs | Home | mia-3dimageaddattributes